Subject: One of the towels in my Madison park set has stains on it
From: Mike Echols <[email-masked]>
To: [email-masked]
Date: Fri, 25 Jul 2025 20:08:16 -0400

Upon inspection of my Madison park sheet set I ordered from Amazon, I
discovered stains on one of the bath towels. I guess first I should verify
this is the correct “support “ site ( I used the product support link from
the Amazon order details for this item). I am inquiring about what action I
should take. I like the product, so will you send me a replacement towel?
Or should I ask for a replacement for the entire set through Amazon?